summaryrefslogtreecommitdiff
path: root/yarn.tests/multi.script
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2013-06-23 08:55:58 +0100
committerLars Wirzenius <liw@liw.fi>2013-06-23 08:55:58 +0100
commit5804dc6a1d4675af5b40a7a9eb4d74bc14f0f805 (patch)
tree9500849c8d20d33dfddfff37a318addf174b49f4 /yarn.tests/multi.script
parentce118d6418eda1a41f5f2446ffc1ed833ba07dbb (diff)
downloadcmdtest-5804dc6a1d4675af5b40a7a9eb4d74bc14f0f805.tar.gz
Add test for yarn and multiple input files
Diffstat (limited to 'yarn.tests/multi.script')
-rwxr-xr-xyarn.tests/multi.script23
1 files changed, 23 insertions, 0 deletions
diff --git a/yarn.tests/multi.script b/yarn.tests/multi.script
new file mode 100755
index 0000000..35818fa
--- /dev/null
+++ b/yarn.tests/multi.script
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+
+cat <<EOF > "$DATADIR/1.yarn"
+ SCENARIO foo
+ GIVEN all is ok
+ WHEN doing ok
+ THEN be ok
+EOF
+
+cat <<EOF > "$DATADIR/2.yarn"
+ IMPLEMENTS GIVEN all is ok
+ true
+ IMPLEMENTS WHEN doing ok
+ true
+ IMPLEMENTS THEN be ok
+ true
+EOF
+
+./yarn "$DATADIR/1.yarn" "$DATADIR/2.yarn" |
+sed 's/, in .* seconds$//'